org.eclipse.microprofile.rest.client.tck.interfaces

## Interface ProducesConsumesClient

    @Path(value="/producesConsumes")
     @Produces(value="text/html")
     @Consumes(value="text/plain")
    public interface ProducesConsumesClient

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.ws.rs.core.Response` `produceHtmlConsumeText(String id, String content)`
`javax.ws.rs.core.Response` `produceJSONConsumeXML(String content)`
`javax.ws.rs.core.Response` `produceXMLConsumeJSON(String content)`

### Method Detail

#### produceXMLConsumeJSON

    @POST
     @Produces(value="application/xml")
     @Consumes(value="application/json")
    javax.ws.rs.core.Response produceXMLConsumeJSON(String content)

#### produceJSONConsumeXML

    @PUT
     @Produces(value="application/json")
     @Consumes(value="application/xml")
    javax.ws.rs.core.Response produceJSONConsumeXML(String content)

#### produceHtmlConsumeText

    @POST
     @Path(value="/{id}")
    javax.ws.rs.core.Response produceHtmlConsumeText(@PathParam(value="id")
                                                                                 String id,
                                                                                 String content)